ChartDirector Ver 5.0 (PHP Edition)

AngularAxis.setLabels

Usage

setLabels(text)

Description

Sets the text labels to be used on the axis.
This method is typically used in radar charts to set the angular axis to enumerated scale.
In enumerated scale, the labels are laid out evenly on the perimeter of the polar plot area. It is like the labels are at on the vertices of an n-side polygon, where n is the number of labels. Radial grid lines are drawn from the center to the vertices.
The angular coordinates of the data points are determined based on their position in the data array. The first data point will be at the same angular coordinate as the first vertex, the second data point at the second vertex, and so on.
Internally, ChartDirector will assign a value of 0 to the first axis label, 1 to the second axis label, and so on. These values are not visible. Only the axis labels are visible. However, these values may be useful for some ChartDirector features that need to reference the axis position by value, such as adding extra labels using AngularAxis.addLabel.

Arguments

Argument | Default | Description
--- | --- | ---
text | (Mandatory) | An array of strings containing the text of the labels.

Return Value

A TextBox object representing the prototype of the axis labels. This may be used to fine-tune the appearance of the axis labels.

© 2009 Advanced Software Engineering Limited. All rights reserved.